Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttr

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr

Direct Known Subclasses:
  `EntityAttrAddress`, `EntityAttrBoolean`, `EntityAttrContract`, `EntityAttrDate`, `EntityAttrEmail`, `EntityAttrHouse`, `EntityAttrInt`, `EntityAttrList`, `EntityAttrMultiList`, `EntityAttrPhone`, `EntityAttrText`

    public abstract class EntityAttr
    extends java.lang.Object

Атрибут (параметр сущности) или параметр договора. Абстрактный класс, который расширяют и реализуют EntityAttrText, EntityAttrList, EntityAttrAddress и другие.

See Also:
  `EntitySpec`, `EntityAttrText`, `EntityAttrList`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `` | `EntityAttr()` |
  `protected` | `EntityAttr​(EntitySpecAttrType type)` |
  `protected` | `EntityAttr​(EntitySpecAttrType type, int entityId, int entitySpecAttrId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getEntityId()` | Получение ID сущности, к которому принадлежит данный атрибут.
  `int` | `getEntitySpecAttrId()` | Получение ID типа атрибута (для параметров договора - типа параметра).
  `int` | `getType()` | Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
  `java.lang.String` | `getTypeName()` | Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
  `static EntityAttr` | `newInstance​(int entitySpecAttrTypeId, int entityId, int entitySpecAttrId)` | Создание пустого атрибута
  `void` | `setEntityId​(int entityId)` | Установка ID сущности, к которому принадлежит данный атрибут.
  `void` | `setEntitySpecAttrId​(int entitySpecAttrId)` | Установка ID типа атрибута (для параметров договора - типа параметра)
  `void` | `setType​(int type)` |
  `void` | `setTypeName​(java.lang.String typeName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttr

    public EntityAttr()

  - ### EntityAttr

    protected EntityAttr​(EntitySpecAttrType type)

  - ### EntityAttr

    protected EntityAttr​(EntitySpecAttrType type, int entityId, int entitySpecAttrId)

- ## Method Details

  - ### getType

    public int getType()
    Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
    Returns:
    See Also:
      `EntitySpecAttr`

  - ### setType

    public void setType​(int type)

  - ### getTypeName

    public java.lang.String getTypeName()
    Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    Returns:

  - ### setTypeName

    public void setTypeName​(java.lang.String typeName)

  - ### getEntityId

    public int getEntityId()
    Получение ID сущности, к которому принадлежит данный атрибут. В случае договора это ID договора, в общем случае - ссылка на таблицу entity.
    Parameters:
      `entityId` -

  - ### setEntityId

    public void setEntityId​(int entityId)
    Установка ID сущности, к которому принадлежит данный атрибут. В случае договора это ID договора, в общем случае - ссылка на таблицу entity.
    Parameters:
      `entityId` -

  - ### getEntitySpecAttrId

    public int getEntitySpecAttrId()
    Получение ID типа атрибута (для параметров договора - типа параметра).
    Returns:
    See Also:
      `EntitySpecAttr`

  - ### setEntitySpecAttrId

    public void setEntitySpecAttrId​(int entitySpecAttrId)
    Установка ID типа атрибута (для параметров договора - типа параметра)
    Parameters:
      `entitySpecAttrId` -
    See Also:
      `EntitySpecAttr`

  - ### newInstance

    public static EntityAttr newInstance​(int entitySpecAttrTypeId, int entityId, int entitySpecAttrId)
    Создание пустого атрибута
    Parameters:
      `entitySpecAttrTypeId` - тип - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
      `entityId` - - ID сущности или ID договора
      `entitySpecAttrId` - - ID типа атрибута (типа параметра)
    Returns:
    See Also:
      `EntitySpecAttr`